> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all

> Retrieves all the stream configuration templates the user can access in a paginated manner



## OpenAPI

````yaml get /stream-configuration-service/api/v1/stream-configuration-templates
openapi: 3.0.1
info:
  title: Vatis Stream Configuration Service
  description: Vatis Stream Configuration Service API
  version: '1.0'
servers:
  - url: https://stream-configuration-service.vatis.tech
    description: Default server
security: []
paths:
  /stream-configuration-service/api/v1/stream-configuration-templates:
    get:
      tags:
        - stream-configuration-template-resource-impl
      summary: Find all
      description: >-
        Retrieves all the stream configuration templates the user can access in
        a paginated manner
      operationId: getAll
      parameters:
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            example: 0
            default: 0
        - name: size
          in: query
          description: Page size
          schema:
            type: integer
            example: 10
            default: 10
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageStreamConfigurationTemplateDto'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Exception on client authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Full authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Exception on Pulsar operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Default error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    PageStreamConfigurationTemplateDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        pageable:
          $ref: '#/components/schemas/PageableObject'
        numberOfElements:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/StreamConfigurationTemplateDto'
        number:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/SortObject'
        first:
          type: boolean
        last:
          type: boolean
        empty:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
    PageableObject:
      type: object
      properties:
        paged:
          type: boolean
        unpaged:
          type: boolean
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        sort:
          $ref: '#/components/schemas/SortObject'
    StreamConfigurationTemplateDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        dataSourceSchema:
          type: string
        processors:
          type: array
          items:
            $ref: '#/components/schemas/ProcessorConfigurationTemplateDto'
        patchAliases:
          type: object
          additionalProperties:
            type: string
    SortObject:
      type: object
      properties:
        unsorted:
          type: boolean
        sorted:
          type: boolean
        empty:
          type: boolean
    ProcessorConfigurationTemplateDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        processorDeclaration:
          $ref: '#/components/schemas/ProcessorDeclarationDto'
        previousProcessorId:
          type: string
        propertiesSchema:
          type: string
        properties:
          type: object
        destinationTopicMessageHeaders:
          type: object
          additionalProperties:
            type: string
        destinationTopicHeaders:
          type: object
          additionalProperties:
            type: string
        sourceSubscriptionHeaders:
          type: object
          additionalProperties:
            type: string
        patchAliases:
          type: object
          additionalProperties:
            type: string
        egress:
          $ref: '#/components/schemas/ProcessorEgressConfigurationDto'
    ProcessorDeclarationDto:
      type: object
      properties:
        id:
          type: string
        displayName:
          type: string
        description:
          type: string
        clusterDomainNameTemplate:
          type: string
        podsDiscoveryClusterDomainName:
          type: string
        revision:
          type: string
        propertiesSchema:
          type: string
        inputSchemas:
          type: array
          items:
            type: string
        outputSchema:
          type: string
        features:
          $ref: '#/components/schemas/ProcessorFeaturesDto'
        operationType:
          type: string
          enum:
            - BATCH_TRANSCRIPTION
            - REAL_TIME_TRANSCRIPTION
            - SPEAKERS_DIARIZATION
            - VOICE_ACTIVITY_DETECTION
            - TRANSCODE
            - TRANSLATION
            - SUMMARIZATION
            - SENTIMENT_ANALYSIS
            - NO_OPERATION
            - LLM_PROCESSING
    ProcessorEgressConfigurationDto:
      type: object
      properties:
        persist:
          type: boolean
        sink:
          type: boolean
        tags:
          type: array
          items:
            type: string
    ProcessorFeaturesDto:
      type: object
      properties:
        support:
          type: array
          items:
            type: string
        require:
          type: array
          items:
            type: string
        implement:
          type: array
          items:
            type: string
        requireSupport:
          type: array
          items:
            type: string
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````